
import jwt
import datetime
import random

def generate_token(data, secret_key):
    """
    Generates a JWT token from the given data and secret key.
    """
    expiration_time = datetime.datetime.utcnow() + datetime.timedelta(hours=1)
    payload = {
        'data': data,
        'exp': expiration_time
    }
    token = jwt.encode(payload, secret_key, algorithm='HS256')
    return token

